import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates an API destination, which is an HTTP invocation endpoint configured as a target for events.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-events-apidestination.html">the AWS Docs</a>
*/
export function apiDestination(apiDestinationProps) {
    return new AwsResource('AWS::Events::ApiDestination', apiDestinationProps, { Arn: 'Arn' });
}
